<?php
/*
+--------------------------------------------------------------------------+
|   RevokeBB 1.0											               |
|   ========================================                               | 
|   author: denadai2 <denadai2@gmail.com>                                  |
|   copyright (c) 2006 RevokeSoft                                          |
|   http://www.revokesoft.net 											   |
|   license: http://opensource.org/licenses/gpl-license.php 			   |
|   GNU Public License                                					   |
|   ========================================							   |
+--------------------------------------------------------------------------+


*/

if ( ! defined( 'IN_REVOKE' ) )
{
	print '<html><head><title>RevokeBB Error</title></head><body><h1>Incorrect access</h1>You cannot access this file directly.</body></html>';
	exit();
}

$log = new Log_handler($this->classes);

if(isset($_GET['s']))
{
	$s=intval($_GET['s']);
	switch($s)
	{
		case '01':  
			$this->classes->var_filtrer->add($_POST);
			$u_name = $this->classes->var_filtrer->String('u_name');
			
			/*if(strlen($u_name) < 2)
				$this->classes->error->admin_error('no_username', 'index.php?act=admin&code=users');*/
				
			$query = $this->classes->db->execQuery($this->classes->db->sql_build('search_user', $u_name.'%' ));
			
			if($this->classes->db->num_rows($query) == 0)
				$this->classes->error->admin_error('no_profile', 'index.php?act=admin&code=users');
	
			while($vett=$this->classes->db->fetch_array($query))
				$rw[]=$vett;

			$this->classes->skin->assign('usr', $rw);
			$this->classes->skin->assign('tot', $temp);
					
			$this->classes->skin->assign('user', $this->classes->user->info_user);
			$this->classes->skin->assign('config', $this->classes->_config);
			$this->classes->skin->assign('mode', array('admin' => intval($this->classes->user->info_user['admincp'] == 1)));
			$this->classes->skin->assign('lang', $this->classes->lang->lang_all);
			
			$this->classes->skin->display('admincp/ad_users.tpl');
		break;
		
		case '02':
			$this->classes->var_filtrer->add($_POST);
			
			$unick = $this->classes->var_filtrer->String('u_nick');
			$u_name = $this->classes->var_filtrer->String('u_name');
			
			$prof = array(  
							'user_email'    => $this->classes->var_filtrer->String('u_email'),
							'posts'         => $this->classes->var_filtrer->String('u_posts'),
							'user_msn'      => $this->classes->var_filtrer->String('u_msn'),
							'user_yahoo'    => $this->classes->var_filtrer->String('u_yahoo'),
							'user_location' => $this->classes->var_filtrer->String('u_location'),
							'user_website'  => $this->classes->var_filtrer->String('u_website'),
							'user_sign'     => $this->classes->var_filtrer->variable['u_sign'],
							'level'         => $this->classes->var_filtrer->String('u_level'),
							'user_gender'   => $this->classes->var_filtrer->String('u_gender')
						  );
			if ($this->classes->var_filtrer->String('u_pass'))
				$prof['user_password'] =md5($this->classes->var_filtrer->String('u_pass').'revoke4gurus');
			
			if ($unick != $u_name)
			{
				
				$prof['user_nick'] = $unick;
				
				$query = $this->classes->db->execQuery($this->classes->db->sql_build('sync_user_delete_1', array($unick, $u_name) ));
				$query = $this->classes->db->execQuery($this->classes->db->sql_build('sync_user_delete_2', array($unick, $u_name) ));
				$query = $this->classes->db->execQuery($this->classes->db->sql_build('sync_user_delete_3', array($unick, $u_name) ));
				$query = $this->classes->db->execQuery($this->classes->db->sql_build('sync_user_delete_4', array($unick, $u_name) ));
				$query = $this->classes->db->execQuery($this->classes->db->sql_build('sync_user_delete_5', array($unick, $u_name) ));
			}
			
			$query = $this->classes->db->execQuery($this->classes->db->sql_build('sync_user_delete_6', array(compile_update($prof), $this->classes->var_filtrer->String('u_id')) ));
			
			$logs->new_admin_log('Edited user with nick ' . $unick);
			$this->classes->error->admin_complete('Opzioni modificate con successo', 'index.php?act=admin&code=users');
		break;
		
		case '03':
			$this->classes->var_filtrer->add($_GET);
			$uid = $this->classes->var_filtrer->Integer('uid');
			
			$row[] = $this->classes->user->get_infos($uid);
			
			$query = $this->classes->db->execQuery($this->classes->db->sql_build('fetch_groups_upper_0'));
			while($vea=$this->classes->db->fetch_array($query))
				  $gpr[$vea['gid']] = $vea['name'];

			$gprk = intval($row['0']['level']);
			
			if ($gprk > 2){$gprk--;}
				$gprk--;
			
			$this->classes->skin->assign('men', menu_create('u_level',$gpr,$gprk));
			$this->classes->skin->assign('dat', $row);
			$this->classes->skin->assign('tot', $temp);
					
			$this->classes->skin->assign('user', $this->classes->user->info_user);
			$this->classes->skin->assign('config', $this->classes->_config);
			$this->classes->skin->assign('mode', array('admin' => intval($this->classes->user->info_user['admincp'] == 1)));
			$this->classes->skin->assign('lang', $this->classes->lang->lang_all);
			$this->classes->skin->display('admincp/ad_users_edit.tpl');
		break;
		
		case '04':
			$this->classes->var_filtrer->add($_GET);
			$uid = $this->classes->var_filtrer->String('uid');
			$query = $this->classes->db->execQuery($this->classes->db->sql_build('sync_user_delete_7', $uid ));
			$query = $this->classes->db->execQuery($this->classes->db->sql_build('sync_user_delete_8', $uid));
			$query = $this->classes->db->execQuery($this->classes->db->sql_build('sync_user_delete_9', $uid));
			$query = $this->classes->db->execQuery($this->classes->db->sql_build('sync_user_delete_10', $uid));
			$query = $this->classes->db->execQuery($this->classes->db->sql_build('sync_user_delete_11', $uid));
			$logs->new_admin_log('Deleted user with id ' . $uid);
			$this->classes->error->admin_complete('Utente cancellato con successo', 'index.php?act=admin&code=users');
		break;
	}
	exit;
}

?>