<?php
/*
+--------------------------------------------------------------------------+
|   RevokeBB 1.0											               |
|   ========================================                               | 
|   author: denadai2 <denadai2@gmail.com>                                  |
|   copyright (c) 2006 RevokeSoft                                          |
|   http://www.revokesoft.net 											   |
|   license: http://opensource.org/licenses/gpl-license.php 			   |
|   GNU Public License                                					   |
|   ========================================							   |
+--------------------------------------------------------------------------+


*/
if ( ! defined( 'IN_REVOKE' ) )
{
	print '<html><head><title>RevokeBB Error</title></head><body><h1>Incorrect access</h1>You cannot access this file directly.</body></html>';
	exit();
}

//----------------------------------
// Load classes
//----------------------------------
$this->classes->lang->load('login');

if(isset($_GET['code']))
{
	$this->classes->var_filtrer->add($_GET);
	$code = abs($this->classes->var_filtrer->Integer('code'));
	if($code>=10)
	{
		switch($code)
		{
		case '10': $this->classes->user->logout(); break;
		case '11': {
					if( !($this->classes->user->info_user['level'] >4 && $this->classes->user->info_user['level'] <8) )
						$this->classes->error->simple_error('no_perm');
					$_SESSION['modcp'] = true;
					$this->classes->error->complete('index.php', $this->classes->lang->language['modcp_on']);
					} break;
		case '12': {
					$_SESSION['modcp']=false;
					$this->classes->error->complete('index.php', $this->classes->lang->language['modcp_off']);
					} break; 
		}
		
	}
	else
	{
		header('Content-Type: text/xml');
		$result='<response>'; 
		switch($code)
		{
			case '01': $result.='<method>checkName</method><result>';
						if($this->classes->user->username_exists($this->classes->var_filtrer->String('name'))) 
							$result.= '1'; 
						else 
							$result.= '0';
						break;
			case '02': $result.='<method>checkPass</method><result>';
						if($_GET['pass'] != $_GET['pass2']) 
							$result.= '1'; 
						else 
							$result.= '0'; 
						break;
			case '03': $result.='<method>checkmail</method><result>';
						if($_GET['mail'] != $_GET['mail2'] ||  !ereg("@", $_GET['mail']) || !ereg("@", $_GET['mail2'])) 
							$result.= '1'; 
						else 
							$result.= '0'; 
						break;
		}
		
		$result.='</result></response>';
		echo $result; 
		exit;
	}
}
else
{
	$sid=session_id();
	$this->classes->var_filtrer->add($_POST);
	
	if($this->classes->var_filtrer->String('username')=='')
		$this->classes->error->simple_error('no_username');
	else
		if($this->classes->var_filtrer->String('password')=='')
			$this->classes->error->simple_error('no_password');
	
	if($this->classes->var_filtrer->String('admin')!='')
		$this->classes->user->login($this->classes->var_filtrer->String('username'),$this->classes->var_filtrer->String('password'), $sid, true);
	else
		$this->classes->user->login($this->classes->var_filtrer->String('username'),$this->classes->var_filtrer->String('password'), $sid, false);
}	
		

?>