<?php
/*
+--------------------------------------------------------------------------+
|   RevokeBB 1.0											               |
|   ========================================                               | 
|   author: denadai2 <denadai2@gmail.com>                                  |
|   copyright (c) 2006 RevokeSoft                                          |
|   http://www.revokesoft.net 											   |
|   license: http://opensource.org/licenses/gpl-license.php 			   |
|   GNU Public License                                					   |
|   ========================================							   |
+--------------------------------------------------------------------------+


*/
if ( ! defined( 'IN_REVOKE' ) )
{
	print '<html><head><title>RevokeBB Error</title></head><body><h1>Incorrect access</h1>You cannot access this file directly.</body></html>';
	exit();
}

$this->classes->lang->load('usercp');

if($this->classes->user->info_user['user_id'] < 1)
	$this->classes->error->login_error('no_perm');

if(isset($_GET['code']) && $_GET['code']!='')
{
	$code=$_GET['code'];
	
	switch($code)
	{
		case '00': { 
					
					}break;
		case '02': 
		{
					$query=$this->classes->db->execQuery($this->classes->db->sql_build('usercp_pvt', $this->classes->user->info_user['user_id']));
					
					while($pvt=$this->classes->db->fetch_array($query))
					{
						$pvt['date'] = gmdate('d F Y H:i',$pvt['date']);
						$all_vett[] = $pvt;
					}
					
					
					$this->classes->skin->assign('count', $this->classes->db->num_rows($query));
					$this->classes->skin->assign('pvts', $all_vett);
					
					$this->classes->skin->assign('user', $this->classes->user->info_user);
					$this->classes->skin->assign('config', $this->classes->_config);
					$this->classes->skin->assign('mode', array('modcp' => intval($_SESSION['modcp']), 'admin' => intval($this->classes->user->info_user['admincp'] == 1)));
					$this->classes->skin->assign('lang', $this->classes->lang->lang_all);
					$this->classes->skin->display('usercp/pvt.tpl');			
				
		} break;
		
		case '03':{
					
					$this->classes->user->info_user['user_sign'] = stripslashes($this->classes->user->info_user['user_sign']);
					
					$this->classes->skin->assign('user', $this->classes->user->info_user);
					$this->classes->skin->assign('config', $this->classes->_config);
					$this->classes->skin->assign('mode', array('modcp' => intval($_SESSION['modcp']), 'admin' => intval($this->classes->user->info_user['admincp'] == 1)));
					$this->classes->skin->assign('lang', $this->classes->lang->lang_all);
					$this->classes->skin->display('usercp/profile_opt.tpl');
					}
					break;
		
		//RSS Threads feed
		case '04': 
			{
				require 'inc/class_rss.php';
		
				$query = $this->classes->db->execQuery($this->classes->db->sql_build('subscribed_threads', $this->classes->user->info_user['user_id']));

				$rss = new UniversalFeedCreator();
				$rss->useCached();
				$rss->title = $this->classes->_config['board_name'].' subscribed threads';
				$rss->description = $rss->title;
				$rss->link = $this->classes->_config['board_domain'].$this->classes->_config['board_url'];
				$rss->syndicationURL = $this->classes->_config['board_domain'].htmlentities($_SERVER['PHP_SELF'].'?'.$_SERVER['QUERY_STRING']);
				
				
				// get your news items from somewhere, e.g. your database:
				while($thread=$this->classes->db->fetch_array($query))
				{
					$item = new FeedItem();
					$item->title = $thread['title'];
					$item->link = $this->classes->_config['board_domain'].$this->classes->_config['board_url'].'index.php?act=showthread&tid='.$thread['thread_id'];
					$item->description = $thread['text'];
					$item->date = $thread['dateline'];
					$item->source = $this->classes->_config['board_domain'].$this->classes->_config['board_url'];
					$item->author = $thread['user_nick'];
					
					$rss->addItem($item);
				}
				header('Content-Type: text/xml');
				echo $rss->createFeed("RSS1.0"); 
			}break;
			
		case '05':{
					$this->classes->var_filtrer->add($_GET);
					
					$mode = $this->classes->var_filtrer->Integer('mode');
					
					$this->classes->user->update_avatar($mode);
					
					$this->classes->error->complete('index.php?act=usercp', $this->classes->lang->language['avatar_uploaded']);
					
					}break;
					
		case '06':{
					$this->classes->var_filtrer->add($_POST);
					$text=trim($this->classes->var_filtrer->String('replybox',1));
					
					
					$this->classes->user->update_sign($text);
		
					$this->classes->error->complete('index.php?act=usercp', $this->classes->lang->language['sign_updated']);
					}break;
		case '07':{
					$keys = array_keys($_POST);
					
					$count = count($keys);
					
					$check = false;
					
					for($i=0; $i<$count;$i++)
					{
						if(strstr($keys[$i], 'msg_'))
						{
							$query = $this->classes->db->execQuery($this->classes->db->sql_build('delete_mp_by_id_toid', array(substr($keys[$i],4), $this->classes->user->info_user['user_id']) ));
							$check = true;
							
						}
					}
					
					if($check == false)
						$this->classes->error->simple_error('no_delete_mp');
					
					$this->classes->error->complete('index.php?act=usercp', $this->classes->lang->language['lang_deleted']);
					}break;
		case '08':{
					
					$this->classes->user->info_user['user_sign'] = htmlspecialchars(stripslashes($this->classes->user->info_user['user_sign']));
					$this->classes->user->info_user['user_location'] = $this->classes->user->info_user['user_location'] == '0' ? '' : $this->classes->user->info_user['user_location'];
					$this->classes->user->info_user['user_yahoo'] = $this->classes->user->info_user['user_yahoo'] == '0' ? '' : $this->classes->user->info_user['user_yahoo'];
					$this->classes->user->info_user['user_msn'] = $this->classes->user->info_user['user_msn'] == '0' ? '' : $this->classes->user->info_user['user_msn'];
					
					$this->classes->skin->assign('user', $this->classes->user->info_user);
					$this->classes->skin->assign('config', $this->classes->_config);
					$this->classes->skin->assign('mode', array('modcp' => intval($_SESSION['modcp']), 'admin' => intval($this->classes->user->info_user['admincp'] == 1)));
					$this->classes->skin->assign('lang', $this->classes->lang->lang_all);
					$this->classes->skin->display('usercp/profile_general.tpl');
					}
					break;
		case '09':{
					$this->classes->var_filtrer->add($_POST);
					
					$vett = array();
					$vett[] = $this->classes->var_filtrer->String('user_msn',0);
					$vett[] = $this->classes->var_filtrer->String('user_yahoo',0);
					$vett[] = $this->classes->var_filtrer->Integer('user_gender');
					$vett[] = $this->classes->var_filtrer->String('user_location',0);
					$vett[] = $this->classes->user->info_user['user_id'];
					
					if(strlen($vett[0]) < 3)
						$vett[0] = '0';
						
					if(strlen($vett[1]) < 3)
						$vett[1] = '0';
						
					if(strlen($vett[3]) < 3)
						$vett[3] = '0';
					
					$query = $this->classes->db->execQuery($this->classes->db->sql_build('update_profile_1', $vett ));
										
					$this->classes->error->complete('index.php?act=usercp', $this->classes->lang->language['lang_profile_upd']);
					}
					break;
		case '10':{
					$this->classes->var_filtrer->add($_POST);
					
					$email = $this->classes->var_filtrer->String('user_email',0);
					$email2 = $this->classes->var_filtrer->String('user_email2',0);
					
					if($email != $email2)
						$this->classes->error->simple_error('email_coincide');
					
					$query = $this->classes->db->execQuery($this->classes->db->sql_build('update_profile_2', array($email, $this->classes->user->info_user['user_id']) ));
										
					$this->classes->error->complete('index.php?act=usercp', $this->classes->lang->language['lang_profile_upd']);
					}
					break;
		//Subscribed thread delete
		case '11':{
					$keys = array_keys($_POST);
					
					$count = count($keys);
					
					$check = false;
					
					for($i=0; $i<$count;$i++)
					{
						if(strstr($keys[$i], 'thread_'))
						{
							$query = $this->classes->db->execQuery($this->classes->db->sql_build('delete_sub_thread_by_id', array(substr($keys[$i],7), $this->classes->user->info_user['user_id']) ));
							$check = true;
							
						}
					}
					
					if($check == false)
						$this->classes->error->simple_error('no_delete_sub');
					
					$this->classes->error->complete('index.php?act=usercp', $this->classes->lang->language['lang_sub_deleted']);
					}
					break;
		//Visual options view
		case '12':{
					
					$query = $this->classes->db->execQuery($this->classes->db->sql_build('fetch_languages'));
					while($vett=$this->classes->db->fetch_array($query))
					{
						$all_langs[] = $vett;
					}
					$this->classes->skin->assign('langs', $all_langs);
					
					$this->classes->skin->assign('user', $this->classes->user->info_user);
					$this->classes->skin->assign('config', $this->classes->_config);
					$this->classes->skin->assign('mode', array('modcp' => intval($_SESSION['modcp']), 'admin' => intval($this->classes->user->info_user['admincp'] == 1)));
					$this->classes->skin->assign('lang', $this->classes->lang->lang_all);
					$this->classes->skin->display('usercp/visual_opt.tpl');
					}
					break;
		//Visual options set
		case '13':{
					
					$this->classes->var_filtrer->add($_POST);
					
					$wysiwyg = $this->classes->var_filtrer->Integer('wysiwyg');
					$lang_name = $this->classes->var_filtrer->String('lang_name',0);
					
					$query = $this->classes->db->execQuery($this->classes->db->sql_build('update_profile_3', array($wysiwyg, $lang_name, $this->classes->user->info_user['user_id']) ));
										
					$this->classes->error->complete('index.php?act=usercp', $this->classes->lang->language['lang_profile_upd']);
					}
					break;
		//Active an user account
		case '14':{
					
					$this->classes->var_filtrer->add($_GET);
					
					$hash = $this->classes->var_filtrer->String('h');
					$stamp = $this->classes->var_filtrer->String('s');
					
					$this->classes->user->activate_user($hash, $stamp);
										
					$this->classes->error->complete('index.php', $this->classes->lang->language['activated']);
					}
					break;
		//Send activation email
		case '15':{
					if($this->classes->user->info_user['status'] == 1)
						$this->error->simple_error('active_yes');
						
					$this->classes->user->send_activation_email();
										
					$this->classes->error->complete('index.php', $this->classes->lang->language['mail_act_sent']);
					}
					break;
		
	}
	
	exit;
}
		

$query=$this->classes->db->execQuery($this->classes->db->sql_build('subscribed_threads', $this->classes->user->info_user['user_id']));



while($thread=$this->classes->db->fetch_array($query))
{
	$thread['dateline'] = gmdate('d F Y H:i',$thread['dateline']);
	$all_vett[] = $thread;
}

$this->classes->skin->assign('threads', $all_vett);
$this->classes->skin->assign('count', $this->classes->db->num_rows($query));

?>