<?php
/*
+--------------------------------------------------------------------------+
|   RevokeBB 1.0											               |
|   ========================================                               | 
|   author: denadai2 <denadai2@gmail.com>                                  |
|   copyright (c) 2006 RevokeSoft                                          |
|   http://www.revokesoft.net 											   |
|   license: http://opensource.org/licenses/gpl-license.php 			   |
|   GNU Public License                                					   |
|   ========================================							   |
+--------------------------------------------------------------------------+


*/

if ( ! defined( 'IN_REVOKE' ) )
{
	print '<html><head><title>RevokeBB Error</title></head><body><h1>Incorrect access</h1>You cannot access this file directly.</body></html>';
	exit();
}

class Log_handler
	{
	var $classes;
	
	/**
    * Forum Constructor
    *
    * @param None
    * @author denadai2 <denadai2@gmail.com>
    * @since v 1.0
    * @access Public
    * @return none
    */
	function Log_handler(& $classes)
		{
		
		$this->classes= & $classes;
			
		}
		
	/**
    * Add an admin log
    *
    * @param String $string
    * @author denadai2 <denadai2@gmail.com>
    * @since v 1.0
    * @access Public
    * @return none
    */	
	function new_admin_log($string)
	{
		$query = $this->classes->db->execQuery($this->classes->db->sql_build('insert_admin_log', array( time(), $this->classes->user->info_user['user_id'], $string, $_SERVER['REMOTE_ADDR']) ));
	}
	
	/**
    * Fetch admin logs
    *
    * @param String $string
    * @author denadai2 <denadai2@gmail.com>
    * @since v 1.0
    * @access Public
    * @return none
    */	
	function fetch_admin_logs($start, $num)
	{
		$query = $this->classes->db->execQuery($this->classes->db->sql_build('fetch_admin_log', array($start, $num) ));
		
		while($vett = $this->classes->db->fetch_array($query))
		{
			
			$vett['dateline'] = gmdate('d-m-Y H:i:s',$vett['dateline']);
			$vett['description'] = stripslashes($vett['description']);

			$all_vett[] = $vett;
		}
		
		return $all_vett;
	}

	/**
    * Fetch spiders logs
    *
    * @param String $string
    * @author denadai2 <denadai2@gmail.com>
    * @since v 1.0
    * @access Public
    * @return none
    */	
	function fetch_spiders_logs($start, $num)
	{
		$query = $this->classes->db->execQuery($this->classes->db->sql_build('fetch_spiders_log', array($start, $num) ));
		
		while($vett = $this->classes->db->fetch_array($query))
		{
			
			$vett['dateline'] = gmdate('d-m-Y H:i:s',$vett['dateline']);
			$vett['page'] = htmlentities(stripslashes($vett['page']));
			
			$all_vett[] = $vett;
		}
		
		return $all_vett;
	}	
	
	
}


?>