<?php
/*
+--------------------------------------------------------------------------+
|   RevokeBB 1.0											               |
|   ========================================                               | 
|   author: denadai2 <denadai2@gmail.com>                                  |
|   copyright (c) 2006 RevokeSoft                                          |
|   http://www.revokesoft.net 											   |
|   license: http://opensource.org/licenses/gpl-license.php 			   |
|   GNU Public License                                					   |
|   ========================================							   |
+--------------------------------------------------------------------------+


*/

class Skin extends Template_Lite
{
	/**
	* Skin content
	* @access Public
	* @var String
	*/
	var $content;
	/**
	* 1=tidy 0 = normal DEPRECATED!
	* @access Private
	* @var int
	*/
	var $tidy; 
	
	/**
	* Skin path
	* @access Private
	* @var String
	*/
	var $skin_path;

	/**
	* Board Configs
	* @access Private
	* @var array()
	*/	
	var $_config;
	
	/**
		* Default Constructor
		*
		* @param array $config
		* @author denadai2 <denadai2@gmail.com>
		* @since v 0.1
		* @access Public
		* @return Void
		*/
	function Skin( & $config )
		{
		
		$this->_config = & $config;
		$this->skin_path = 'skins/'. $this->_config['default_skin'];
		$this->content = '';
		
		
		$this->force_compile = false;
		$this->compile_check = false;
		$this->cache = false;
		$this->cache_lifetime = 3600;
		$this->config_overwrite = false;
		$this->template_dir = 'skins/revoke/';
		$this->compile_dir = 'skins/compile/';
		$this->cache_dir = 'cache';
		$this->config_dir = 'inc/';
		
		$this->left_delimiter = '<!--{';
		$this->right_delimiter = '}-->';
		$this->assign('skin_path', $this->skin_path);
		
		//if($this->tidy == 1)
			//$this->load_filter('output','tidyrepairhtml');
		//$this->load_filter('output','gzip');
		}
		
	function display_all()
	{
		if(strstr($_SERVER["HTTP_ACCEPT_ENCODING"],"gzip"))
			ob_start('gz_handler');
		echo $this->content;
	}
		

	/**
	* Browser error function
	*
	* @param String $string
	* @author denadai2 <denadai2@gmail.com>
	* @since v 1.0
	* @access Public
	* @return Void
	*/		
	function browser_error($string)
	{
		echo '<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head><title>Error XSLT: Download Firefox</title>
<style type="text/css">
body {
	color: #000;
	margin: 10px;
	padding: 0;
	font: 11px Verdana, Tahoma, Arial, Trebuchet MS, Sans-Serif, Georgia, Courier, Times New Roman, Serif;
	text-align:left;
}
</style>
</head>
<body><div align="center"><p>&nbsp;</p><h2>Error Support XSLT: Download Firefox, a better browser</h2><p>'.$string.'</p><p>&nbsp;</p><p><a href="http://www.spreadfirefox.com/?q=affiliates&id=192404&t=219" title="download Firefox"><img src="http://www.revokesoft.net/skins/revoke/images/2.jpg" alt="" border="0" /></a></div>
</body>
</html>';
		exit;
	}

} 

?>